Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.rtrep.v1
Class Messages

    java.lang.Object
      java.util.ResourceBundle
          org.apache.ode.utils.msg.MessageBundle
              org.apache.ode.bpel.rtrep.v1.Messages

    public class Messages

extends MessageBundle

Message bundle for this package.

Field Summary

Fields inherited from class java.util.ResourceBundle
`parent`

Constructor Summary
`Messages()`

Method Summary
`java.lang.String` | `msgExpLangRegistrationError(java.lang.String expressionLanguageUri, java.util.Map<java.lang.String,java.lang.String> properties)`
`java.lang.String` | `msgLocationMustBeString(java.lang.String pathString, int lineNo, java.lang.String type)` Format a message about passing a non-static location path where one is expected.
`java.lang.String` | `msgMessageExchangeFailureOnProcessCompletion()`
`java.lang.String` | `msgPropertyAliasReturnedNonElement(java.lang.String alias, java.lang.String variable)`
`java.lang.String` | `msgPropertyAliasReturnedNullSet(java.lang.String alias, java.lang.String variable)`
`java.lang.String` | `msgPropertyAliasReturnedRValue(java.lang.String alias, java.lang.String variable)`
`java.lang.String` | `msgUnableToCompileXPath(java.lang.String expr, int lineNo, java.lang.String reason)` Format a message about being unable to compile an XPath expression.
`java.lang.String` | `msgUnknownEPR(java.lang.String string)`

Methods inherited from class org.apache.ode.utils.msg.MessageBundle
`format, format, getKeys, getMessages, getMessages, handleGetObject, todo`

Methods inherited from class java.util.ResourceBundle
`getBundle, getBundle, getBundle, getLocale, getObject, getString, getStringArray, setParent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Messages

    public Messages()

Method Detail

### msgUnableToCompileXPath

    public java.lang.String msgUnableToCompileXPath(java.lang.String expr,
                                                    int lineNo,
                                                    java.lang.String reason)

  Format a message about being unable to compile an XPath expression.

  Parameters:
    `expr` - the expression in error
    `lineNo` - the line number for the expression
    `reason` - the reason that compilation failed. Unable to compile XPath expression {0} (line#{1}): {2}

### msgLocationMustBeString

    public java.lang.String msgLocationMustBeString(java.lang.String pathString,
                                                    int lineNo,
                                                    java.lang.String type)

  Format a message about passing a non-static location path where one is expected.

  Parameters:
    `pathString` - the errant XPath expression
    `lineNo` - the line number where the expression occurs
    `type` - the type of the expression Non-static string values for location paths are not allowed; the expression {0} at line {1} evaluates to type {2}.

### msgPropertyAliasReturnedRValue

    public java.lang.String msgPropertyAliasReturnedRValue(java.lang.String alias,
                                                           java.lang.String variable)

### msgPropertyAliasReturnedNonElement

    public java.lang.String msgPropertyAliasReturnedNonElement(java.lang.String alias,
                                                               java.lang.String variable)

### msgMessageExchangeFailureOnProcessCompletion

    public java.lang.String msgMessageExchangeFailureOnProcessCompletion()

### msgUnknownEPR

    public java.lang.String msgUnknownEPR(java.lang.String string)

### msgExpLangRegistrationError

    public java.lang.String msgExpLangRegistrationError(java.lang.String expressionLanguageUri,
                                                        java.util.Map<java.lang.String,java.lang.String> properties)

### msgPropertyAliasReturnedNullSet

    public java.lang.String msgPropertyAliasReturnedNullSet(java.lang.String alias,
                                                            java.lang.String variable)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD